package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;
import java.util.List;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.series.Data;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class BasicTreemap extends DemoChartBase {
	private static final long serialVersionUID = -260567073216228029L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight(450).setType(ChartType.TREEMAP);
		chartOptions.getLegend().setShow(false);
		chartOptions.getTitle().setText("Basic Treemap");

		chartOptions.getSeries().add(new Series().setDataAsArrayObject(getData()));


		return apexchart;
	}
	
	/**
	 * 
	 * @return
	 */
	private List<Data> getData() {
		return Arrays.asList(
			new Data().setX("New Delhi").setY(218), new Data().setX("Kolkata").setY(149), 
			new Data().setX("Mumbai").setY(184), new Data().setX("Ahmedabad").setY(55), 
			new Data().setX("Bangaluru").setY(84), new Data().setX("Pune").setY(31), 
			new Data().setX("Chennai").setY(70), new Data().setX("Jaipur").setY(30), 
			new Data().setX("Surat").setY(44), new Data().setX("Hyderabad").setY(68), 
			new Data().setX("Lucknow").setY(28), new Data().setX("Indore").setY(19), 
			new Data().setX("Kanpur").setY(29));
	}
	
}
