package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.LegendPosition;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class SimplePie extends DemoChartBase {
	private static final long serialVersionUID = -260567073216228029L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight(450).setType(ChartType.PIE);
		
		chartOptions.setLabels(Arrays.asList("Team A", "Team B", "Team C", "Team D", "Team E"));
		
		chartOptions.getResponsiveSingle().setBreakpoint(480).getOptions().getChart().setWidth(200);
		chartOptions.getResponsiveSingle().getOptions().getLegend().setPosition(LegendPosition.BOTTOM);
		
		chartOptions.setSeriesAsArrayNumber(Arrays.asList(44, 55, 13, 43, 22));

		return apexchart;
	}
	
}