package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class BasicBar extends DemoChartBase {
	private static final long serialVersionUID = -260567073216228029L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight(450).setType(ChartType.BAR);
		chartOptions.getPlotOptions().getBar().setHorizontal(true);
		chartOptions.getDataLabels().setEnabled(false);

		chartOptions.getXaxis()
			.setCategoriesAsArrayString(Arrays.asList(
				"South Korea", "Canada", "United Kingdom", "Netherlands", "Italy", 
				"France", "Japan", "United States", "China", "Germany"));
		
		Series series = new Series();
		series.setDataAsArrayNumber(Arrays.asList(400, 430, 448, 470, 540, 580, 690, 1100, 1200, 1380));
		chartOptions.getSeries().add(series);

		return apexchart;
	}
	
}