package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class BasicRadial extends DemoChartBase {
	private static final long serialVersionUID = 8451224834547659420L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight(450).setType(ChartType.RADIALBAR);
		chartOptions.getPlotOptions().getRadialBar().getHollow().setSize("70%");

		chartOptions.setLabels(Arrays.asList("Cricket"));
		chartOptions.setSeriesAsArrayNumber(Arrays.asList(70));
		
		return apexchart;
	}
	
}