package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.Series;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.apexcharts.constants.Curve;
import com.hyjavaapex.model.apexcharts.constants.HorizontalAlign;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class StepLine extends DemoChartBase {
	private static final long serialVersionUID = 8451224834547659420L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight(450).setType(ChartType.LINE);
		chartOptions.getDataLabels().setEnabled(false);
		chartOptions.getStroke().setCurve(Curve.STEPLINE);
		
		chartOptions.getTitle().setText("Stepline Chart").setAlign((HorizontalAlign.LEFT));
		chartOptions.getMarkers().getHover().setSizeOffset(4);
		
		Series series = new Series();
		series.setDataAsArrayNumber(Arrays.asList(34, 44, 54, 21, 12, 43, 33, 23, 66, 66, 58));
		chartOptions.getSeries().add(series);
		
		return apexchart;
	}
	
}