package com.webonlineapp.hyjavastockdemo9.charts;

import java.io.Serializable;

public class DemoChart implements Serializable {
	private static final long serialVersionUID = -7987785056505395802L;
	
	private String name;
	private DemoChartBase chart;
	private boolean heading = false;
	private boolean showForExport = true;
	
	
	
	public DemoChart(String name) {
		this.name = name;
		heading = true;
	}
	
	public DemoChart(String name, DemoChartBase chart) {
		this.name = name;
		this.chart = chart;
	}
	
	public DemoChart(String name, DemoChartBase chart, boolean showForExport) {
		this.name = name;
		this.chart = chart;
		this.showForExport = showForExport;
	}
	
	public String getName() {
		return name;
	}
	
	public DemoChartBase getChart() {
		return chart;
	}
	
	public void setChart(DemoChartBase chart) {
		this.chart = chart;
	}

	public boolean isHeading() {
		return heading;
	}
	
	public boolean isShowForExport() {
		return showForExport;
	}

}
