package com.webonlineapp.hyjavastockdemo9.util;

import com.vaadin.flow.component.dependency.JsModule;
import com.vaadin.flow.component.icon.Icon;

/**
 * Designer v1.0.0 icons.
 *
 */
@JsModule("./js/designer.js")
public enum DesignerIcons {

	COFFEE_HOT("coffee-hot");


	public static String VERSION = "1.0.0";
	private static final String COLLECTION = "designer";
	
	private String icon;
		
	/**
	 * 
	 * @param icon
	 */
	private DesignerIcons(String icon) {
		this.icon = icon;
	}

	/**
	 * 
	 * @return
	 */
	public Icon create() {
		return new DesignerIcon(COLLECTION, this.icon);
	}


}
