package com.webonlineapp.hyjavaapexdemo.examplecharts;

import java.util.Arrays;

import com.hyjavaapex.chart.Apexchart;
import com.hyjavaapex.model.apexcharts.ChartOptions;
import com.hyjavaapex.model.apexcharts.constants.ChartType;
import com.hyjavaapex.model.common.Function;
import com.webonlineapp.hyjavaapexdemo.charts.DemoChartBase;

public class MultipleRadial extends DemoChartBase {
	private static final long serialVersionUID = 8451224834547659420L;

	public Apexchart configure() {
		Apexchart apexchart = new Apexchart();
		ChartOptions chartOptions = apexchart.getChartOptions();
		
		chartOptions.getChart().setHeight(450).setType(ChartType.RADIALBAR);
		chartOptions.getPlotOptions().getRadialBar().getDataLabels().getName().setFontSize("22px");
		chartOptions.getPlotOptions().getRadialBar().getDataLabels().getValue().setFontSize("16px");
		chartOptions.getPlotOptions().getRadialBar().getDataLabels().getTotal()
			.setShow(true).setLabel("Total").setFormatter(new Function("return 249", "w"));

		chartOptions.setLabels(Arrays.asList("Apples", "Oranges", "Bananas", "Berries"));
		chartOptions.setSeriesAsArrayNumber(Arrays.asList(44, 55, 67, 83));
		
		return apexchart;
	}
	
}