package com.webonlineapp.hyjavachartsdemo9.chartdata;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.model.highcharts.series.seriesnetworkgraph.Data;

public class NetworkGraphData {
	
	/**
	 * 
	 * @return
	 */
	public ArrayList<Data> getSeriesData() {
   		return new ArrayList<Data>(Arrays.asList(
   				new Data().setFrom("Proto Indo-European").setTo("Balto-Slavic"), 
   				new Data().setFrom("Proto Indo-European").setTo("Germanic"),
   				new Data().setFrom("Proto Indo-European").setTo("Celtic"),
   				new Data().setFrom("Proto Indo-European").setTo("Italic"),
   				new Data().setFrom("Proto Indo-European").setTo("Hellenic"),
   				new Data().setFrom("Proto Indo-European").setTo("Anatolian"), 
   				new Data().setFrom("Proto Indo-European").setTo("Indo-Iranian"), 
   				new Data().setFrom("Proto Indo-European").setTo("Tocharian"), 
   				new Data().setFrom("Indo-Iranian").setTo("Dardic"), 
   				new Data().setFrom("Indo-Iranian").setTo("Indic"), 
   				new Data().setFrom("Indo-Iranian").setTo("Iranian"), 
   				new Data().setFrom("Iranian").setTo("Old Persian"), 
   				new Data().setFrom("Old Persian").setTo("Middle Persian"), 
   				new Data().setFrom("Indic").setTo("Sanskrit"), 
   				new Data().setFrom("Italic").setTo("Osco-Umbrian"), 
   				new Data().setFrom("Italic").setTo("Latino-Faliscan"), 
   				new Data().setFrom("Latino-Faliscan").setTo("Latin"), 
   				new Data().setFrom("Celtic").setTo("Brythonic"), 
   				new Data().setFrom("Celtic").setTo("Goidelic"), 
   				new Data().setFrom("Germanic").setTo("North Germanic"), 
   				new Data().setFrom("Germanic").setTo("West Germanic"), 
   				new Data().setFrom("Germanic").setTo("East Germanic"), 
   				new Data().setFrom("North Germanic").setTo("Old Norse"), 
   				new Data().setFrom("North Germanic").setTo("Old Swedish"), 
   				new Data().setFrom("North Germanic").setTo("Old Danish"), 
   				new Data().setFrom("West Germanic").setTo("Old English"), 
   				new Data().setFrom("West Germanic").setTo("Old Frisian"), 
   				new Data().setFrom("West Germanic").setTo("Old Dutch"), 
   				new Data().setFrom("West Germanic").setTo("Old Low German"), 
   				new Data().setFrom("West Germanic").setTo("Old High German"), 
   				new Data().setFrom("Old Norse").setTo("Old Icelandic"), 
   				new Data().setFrom("Old Norse").setTo("Old Norwegian"), 
   				new Data().setFrom("Old Norwegian").setTo("Middle Norwegian"), 
   				new Data().setFrom("Old Swedish").setTo("Middle Swedish"), 
   				new Data().setFrom("Old Danish").setTo("Middle Danish"), 
   				new Data().setFrom("Old English").setTo("Middle English"), 
   				new Data().setFrom("Old Dutch").setTo("Middle Dutch"), 
   				new Data().setFrom("Old Low German").setTo("Middle Low German"), 
   				new Data().setFrom("Old High German").setTo("Middle High German"), 
   				new Data().setFrom("Balto-Slavic").setTo("Baltic"), 
   				new Data().setFrom("Balto-Slavic").setTo("Slavic"), 
   				new Data().setFrom("Slavic").setTo("East Slavic"), 
   				new Data().setFrom("Slavic").setTo("West Slavic"), 
   				new Data().setFrom("Slavic").setTo("South Slavic"), 

   				new Data().setFrom("Proto Indo-European").setTo("Phrygian"), 
   				new Data().setFrom("Proto Indo-European").setTo("Armenian"), 
   				new Data().setFrom("Proto Indo-European").setTo("Albanian"), 
   				new Data().setFrom("Proto Indo-European").setTo("Thracian"), 
   				new Data().setFrom("Tocharian").setTo("Tocharian A"), 
   				new Data().setFrom("Tocharian").setTo("Tocharian B"), 
   				new Data().setFrom("Anatolian").setTo("Hittite"), 
   				new Data().setFrom("Anatolian").setTo("Palaic"), 
   				new Data().setFrom("Anatolian").setTo("Luwic"), 
   				new Data().setFrom("Anatolian").setTo("Lydian"), 
   				new Data().setFrom("Iranian").setTo("Balochi"), 
   				new Data().setFrom("Iranian").setTo("Kurdish"), 
   				new Data().setFrom("Iranian").setTo("Pashto"), 
   				new Data().setFrom("Iranian").setTo("Sogdian"), 
   				new Data().setFrom("Old Persian").setTo("Pahlavi"), 
   				new Data().setFrom("Middle Persian").setTo("Persian"), 
   				new Data().setFrom("Hellenic").setTo("Greek"), 
   				new Data().setFrom("Dardic").setTo("Dard"), 
   				new Data().setFrom("Sanskrit").setTo("Sindhi"), 
   				new Data().setFrom("Sanskrit").setTo("Romani"), 
   				new Data().setFrom("Sanskrit").setTo("Urdu"), 
   				new Data().setFrom("Sanskrit").setTo("Hindi"), 
   				new Data().setFrom("Sanskrit").setTo("Bihari"), 
   				new Data().setFrom("Sanskrit").setTo("Assamese"), 
   				new Data().setFrom("Sanskrit").setTo("Bengali"), 
   				new Data().setFrom("Sanskrit").setTo("Marathi"), 
   				new Data().setFrom("Sanskrit").setTo("Gujarati"), 
   				new Data().setFrom("Sanskrit").setTo("Punjabi"), 
   				new Data().setFrom("Sanskrit").setTo("Sinhalese"), 
   				new Data().setFrom("Osco-Umbrian").setTo("Umbrian"), 
   				new Data().setFrom("Osco-Umbrian").setTo("Oscan"), 
   				new Data().setFrom("Latino-Faliscan").setTo("Faliscan"), 
   				new Data().setFrom("Latin").setTo("Portugese"), 
   				new Data().setFrom("Latin").setTo("Spanish"), 
   				new Data().setFrom("Latin").setTo("French"), 
   				new Data().setFrom("Latin").setTo("Romanian"), 
   				new Data().setFrom("Latin").setTo("Italian"), 
   				new Data().setFrom("Latin").setTo("Catalan"), 
   				new Data().setFrom("Latin").setTo("Franco-Provençal"), 
   				new Data().setFrom("Latin").setTo("Rhaeto-Romance"), 
   				new Data().setFrom("Brythonic").setTo("Welsh"), 
   				new Data().setFrom("Brythonic").setTo("Breton"), 
   				new Data().setFrom("Brythonic").setTo("Cornish"), 
   				new Data().setFrom("Brythonic").setTo("Cuymbric"), 
   				new Data().setFrom("Goidelic").setTo("Modern Irish"), 
   				new Data().setFrom("Goidelic").setTo("Scottish Gaelic"), 
   				new Data().setFrom("Goidelic").setTo("Manx"), 
   				new Data().setFrom("East Germanic").setTo("Gothic"), 
   				new Data().setFrom("Middle Low German").setTo("Low German"), 
   				new Data().setFrom("Middle High German").setTo("(High) German"), 
   				new Data().setFrom("Middle High German").setTo("Yiddish"), 
   				new Data().setFrom("Middle English").setTo("English"), 
   				new Data().setFrom("Middle Dutch").setTo("Hollandic"), 
   				new Data().setFrom("Middle Dutch").setTo("Flemish"), 
   				new Data().setFrom("Middle Dutch").setTo("Dutch"), 
   				new Data().setFrom("Middle Dutch").setTo("Limburgish"), 
   				new Data().setFrom("Middle Dutch").setTo("Brabantian"), 
   				new Data().setFrom("Middle Dutch").setTo("Rhinelandic"), 
   				new Data().setFrom("Old Frisian").setTo("Frisian"), 
   				new Data().setFrom("Middle Danish").setTo("Danish"), 
   				new Data().setFrom("Middle Swedish").setTo("Swedish"), 
   				new Data().setFrom("Middle Norwegian").setTo("Norwegian"), 
   				new Data().setFrom("Old Norse").setTo("Faroese"), 
   				new Data().setFrom("Old Icelandic").setTo("Icelandic"), 
   				new Data().setFrom("Baltic").setTo("Old Prussian"), 
   				new Data().setFrom("Baltic").setTo("Lithuanian"), 
   				new Data().setFrom("Baltic").setTo("Latvian"), 
   				new Data().setFrom("West Slavic").setTo("Polish"), 
   				new Data().setFrom("West Slavic").setTo("Slovak"), 
   				new Data().setFrom("West Slavic").setTo("Czech"), 
   				new Data().setFrom("West Slavic").setTo("Wendish"), 
   				new Data().setFrom("East Slavic").setTo("Bulgarian"), 
   				new Data().setFrom("East Slavic").setTo("Old Church Slavonic"), 
   				new Data().setFrom("East Slavic").setTo("Macedonian"), 
   				new Data().setFrom("East Slavic").setTo("Serbo-Croatian"), 
   				new Data().setFrom("East Slavic").setTo("Slovene"), 
   				new Data().setFrom("South Slavic").setTo("Russian"), 
   				new Data().setFrom("South Slavic").setTo("Ukrainian"), 
   				new Data().setFrom("South Slavic").setTo("Belarusian"), 
   				new Data().setFrom("South Slavic").setTo("Rusyn")
   				));
    }

}
