<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<html>
	<script src="https://code.highcharts.com/9.3.3/highcharts.js"></script>
	<script src="https://code.highcharts.com/9.3.3/modules/exporting.js"></script>

	<head>
		<title>Display Chart</title>
	</head>
	
	<body>
		Chart selected: <s:property value="chartName"/>
		
		<div id="container" style="min-width: 310px; max-width: 800px; height: 400px; margin: 0 auto"></div>
		
		<script type="text/javascript">
			<s:set var="global" value="globalOptions" />
			
			<c:if test="${not empty global}">
				Highcharts.setOptions(<s:property value="globalOptions"  escapeHtml="false"/>);
			</c:if>

			Highcharts.chart('container', <s:property value="chartOptions"  escapeHtml="false"/>);
		</script>
	</body>
</html>
